/* ファイルがなかったらファイルコピー */

#include <stdio.h>
#include <process.h>
#include <error.h>
#include "defines.h"

int copy_exist(unchar *fname,unchar *env)
{
unchar name[5+MAXPATH]; /* 5=strlen("COPY ") */
FILE *fp;
	strcpy(name,"COPY "); /* コピー用コマンドライン */
	env_fname_set(&name[5],".",env,fname); /* コピー元ファイル名 */
	if (fopen(fname,"rt")==NULL) {
		/* コピー：手抜きでsystem()を使っている */
		if (system(name)==-1) return(errno); /* error */
	}
	/* コピー後ファイル確認 */
	fp=fopen(fname,"rt");
	if (fp==NULL) return(-1); /* ファイルがコピー出来ていない */
	fclose(fp);
	return(0); /* 正常終了 */
}
